Encryption API
Field-level encryption
REST API endpoints for Encryption. 3 operations.
Decrypt data
plaintext
POST /api/v1/encryption/decryptDecrypts the supplied ciphertext and returns the plaintext.
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | Decrypted plaintext |
401 | Missing or invalid API key |
500 | Internal error |
operationId: decryptData
Encrypt data
plaintext
POST /api/v1/encryption/encryptEncrypts the supplied plaintext and returns the ciphertext.
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | Encrypted ciphertext |
401 | Missing or invalid API key |
500 | Internal error |
operationId: encryptData
Rotate the encryption key
plaintext
POST /api/v1/encryption/rotate-keyRotates the tenant's encryption key.
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | Key rotated |
401 | Missing or invalid API key |
500 | Internal error |
operationId: rotateEncryptionKey